### 5.1.52 getdump

`Syntax:`
  `getdump (` link_expression `)`
`Type:`
  none
`Purpose:`
  reads the content of the entire file, resp. link, and restores all variables from it. For ASCII links, `getdump` is equivalent to an `execute(read(` link `))` command. For ssi links, `getdump` should only be used on data which were previously `dump``ed.
`Example:`

        int i=3;
        dump(":w example.txt");
        kill i;
        option(noredefine);
        getdump("example.txt");
        i;
      ==> 3

`Restrictions:`
  `getdump` is not supported for DBM links, or for a link connecting to `stdin` (standard input).

See dump; link; read.

User manual for Singular version 4.4.1, 2025, generated by texi2html.